Google Images
Google Images: Images
Images from Google Images. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
google-images
/
images
Images
curl --request GET \
--url https://api.perceptlayer.com/v1/google-images/images \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-images/images"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-images/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-images/images';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-images/images"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-images/images",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-images/images")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-images/images")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "google-images.images",
"params": {
"q": "coffee"
},
"response": [
{
"position": 1,
"thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQtHO98ebb559chzTw8eP9ZaeLZwr3h70NaxQ66SUO4_A&s",
"source": "Wikipedia",
"title": "Coffee - Wikipedia",
"link": "https://en.wikipedia.org/wiki/Coffee",
"original": "https://upload.wikimedia.org/wikipedia/commons/e/e4/Latte_and_dark_coffee.jpg?utm_source=en.wikipedia.org&utm_campaign=index&utm_content=original",
"original_width": 3200,
"original_height": 2000,
"is_product": false
},
{
"position": 2,
"thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRTbofgg06NzQ_-yqXxj-f-EV0DPV9PmWL-dK83RUlOtw&s=10",
"source": "InstaCuppa Store",
"title": "Easy Coffee Recipe at Home: Simple Cafe-Style Coffee in 2 Minutes",
"link": "https://instacuppastore.com/blogs/recipes/easy-coffee-recipe-at-home?srsltid=AYCX9vLhBKdOEzRi87WapOUSLlmWhGn_QkP8FH2n_CMGxfGnoS2GuJtT",
"original": "https://instacuppastore.com/cdn/shop/articles/blog-easy-coffee-recipe-at-home-cover_ce3809b1-35ce-4721-b2df-d8fc77e8ce20.jpg?v=1775497186&width=1100",
"original_width": 1100,
"original_height": 738,
"is_product": true
},
{
"position": 3,
"thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSfXgscfmAgVZdy6_OveIpriTuCUZfCEEs0CaKy5Ixl4Q&s=10",
"source": "Allrecipes",
"title": "Top Tips for Making a Perfect Cappuccino at Home Every Time",
"link": "https://www.allrecipes.com/how-to-make-a-cappuccino-recipe-8624835",
"original": "https://www.allrecipes.com/thmb/chsZz0jqIHWYz39ViZR-9k_BkkE=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/8624835-how-to-make-a-cappuccino-beauty-4x3-0301-13d55eaad60b42058f24369c292d4ccb.jpg",
"original_width": 1500,
"original_height": 1125,
"is_product": true
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Google Images API overview for every Google Images endpoint.
Authorizations
Query Parameters
Maximum string length:
2Maximum string length:
2Available options:
large, medium, icon Available options:
photo, clipart, lineart, gif, face Available options:
color, gray, trans, red, orange, yellow, green, teal, blue, purple, pink, white, black, brown Available options:
tall, square, wide Maximum string length:
500Available options:
active, off Was this page helpful?
⌘I
Images
curl --request GET \
--url https://api.perceptlayer.com/v1/google-images/images \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-images/images"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-images/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-images/images';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-images/images"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-images/images",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-images/images")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-images/images")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "google-images.images",
"params": {
"q": "coffee"
},
"response": [
{
"position": 1,
"thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQtHO98ebb559chzTw8eP9ZaeLZwr3h70NaxQ66SUO4_A&s",
"source": "Wikipedia",
"title": "Coffee - Wikipedia",
"link": "https://en.wikipedia.org/wiki/Coffee",
"original": "https://upload.wikimedia.org/wikipedia/commons/e/e4/Latte_and_dark_coffee.jpg?utm_source=en.wikipedia.org&utm_campaign=index&utm_content=original",
"original_width": 3200,
"original_height": 2000,
"is_product": false
},
{
"position": 2,
"thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRTbofgg06NzQ_-yqXxj-f-EV0DPV9PmWL-dK83RUlOtw&s=10",
"source": "InstaCuppa Store",
"title": "Easy Coffee Recipe at Home: Simple Cafe-Style Coffee in 2 Minutes",
"link": "https://instacuppastore.com/blogs/recipes/easy-coffee-recipe-at-home?srsltid=AYCX9vLhBKdOEzRi87WapOUSLlmWhGn_QkP8FH2n_CMGxfGnoS2GuJtT",
"original": "https://instacuppastore.com/cdn/shop/articles/blog-easy-coffee-recipe-at-home-cover_ce3809b1-35ce-4721-b2df-d8fc77e8ce20.jpg?v=1775497186&width=1100",
"original_width": 1100,
"original_height": 738,
"is_product": true
},
{
"position": 3,
"thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSfXgscfmAgVZdy6_OveIpriTuCUZfCEEs0CaKy5Ixl4Q&s=10",
"source": "Allrecipes",
"title": "Top Tips for Making a Perfect Cappuccino at Home Every Time",
"link": "https://www.allrecipes.com/how-to-make-a-cappuccino-recipe-8624835",
"original": "https://www.allrecipes.com/thmb/chsZz0jqIHWYz39ViZR-9k_BkkE=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/8624835-how-to-make-a-cappuccino-beauty-4x3-0301-13d55eaad60b42058f24369c292d4ccb.jpg",
"original_width": 1500,
"original_height": 1125,
"is_product": true
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}